import {getData} from "@/cms";
import Footer from "@/components/Footer";
import Navbar from "@/components/Navbar";
import ContactUs from "@/templates/ContactUs";
import ContactPage from "@/types/cms/contact";

export default async function Page() {
	const data = await getData<ContactPage>("contact", "en");

	return (
		<main className="text-mti-black flex h-screen w-full flex-col bg-white" dir="ltr">
			<Navbar currentPage="/contact" language="en" />
			<ContactUs data={data} />;
			<Footer language="en" />
		</main>
	);
}
